Arcen Idea Tracker (Bugs and Features)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0018919The Last Federation[All Projects] Bug - GameplayOct 24, 2016 11:13 pmNov 11, 2016 4:55 pm
Reportereruanion 
Assigned Tox4000 
Severitymajor 
StatusresolvedResolutionfixed 
Product Version 
Fixed in Version3.004 
Summary0018919: 3.003 On game load, AI races forget all techs
DescriptionI'm playing normal game mode, game version 3.003 I own the Betrayed Hope dlc, but not The Lost Technologies. Whenever I load a game save, I discover that all of the AI races have forgotten all of the technologies they have learned up to that point (AIs have no techs after save load).
TagsNo tags attached.
Internal WeightNew
Attached Files? file icon throrax start1a.save [^] (80,601 bytes) Oct 24, 2016 11:13 pm
? file icon test.save [^] (29,349 bytes) Oct 24, 2016 11:13 pm
? file icon test1.save [^] (33,225 bytes) Oct 24, 2016 11:14 pm
? file icon Acutians-20161021-3.save [^] (46,249 bytes) Nov 8, 2016 5:04 pm

- Relationships

-  Notes
(0045715)
eruanion (reporter)
Oct 24, 2016 11:17 pm

Even saves made in previous versions of the game are exhibiting this for me.
(0045717)
steelwing (reporter)
Oct 29, 2016 8:22 am
edited on: Nov 8, 2016 5:05 pm

Ditto, and supported. Save uploaded.

(0045724)
x4000 (administrator)
Nov 11, 2016 4:55 pm

So sorry about the delay on this!!

* Fixed a bug in version 3.003 that was causing known techs from races to not be loaded back in properly.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: steelwing Elfy
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Oct 24, 2016 11:13 pm eruanion New Issue
Oct 24, 2016 11:13 pm eruanion File Added: throrax start1a.save
Oct 24, 2016 11:13 pm eruanion File Added: test.save
Oct 24, 2016 11:14 pm eruanion File Added: test1.save
Oct 24, 2016 11:17 pm eruanion Note Added: 0045715
Oct 24, 2016 11:42 pm eruanion Summary 3.003 Game save not remembering AI races' techs => 3.003 On game load, AI races forget all techs
Oct 29, 2016 8:22 am steelwing Note Added: 0045717
Nov 8, 2016 5:04 pm steelwing File Added: Acutians-20161021-3.save
Nov 8, 2016 5:05 pm steelwing Note Edited: 0045717 View Revisions
Nov 11, 2016 4:55 pm x4000 Internal Weight => New
Nov 11, 2016 4:55 pm x4000 Note Added: 0045724
Nov 11, 2016 4:55 pm x4000 Status new => resolved
Nov 11, 2016 4:55 pm x4000 Fixed in Version => 3.004
Nov 11, 2016 4:55 pm x4000 Resolution open => fixed
Nov 11, 2016 4:55 pm x4000 Assigned To => x4000


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker